# Contributing

Thank you for your interest in contributing! Please feel free to put up a PR for any issue or feature request.

Even if you have little to no experience with React Native or Galio, we'd be more than happy to help you with any information or guidance in order to fulfill your PR.

## Gitter [![Gitter](https://img.shields.io/gitter/room/nwjs/nw.js.svg)](https://gitter.im/galio-community)

Please don't hesitate to join us on [gitter](https://gitter.im/galio-community)! Technical points of discussion, general questions and suggestions or anything at all - we would love to chat about it.

## Reporting issues & features requests

If you notice any bugs in the app, see some code that can be improved, or have features you would like to be added, please create a [bug report](https://github.com/galio-org/galio/issues/new?template=bug-report---.md) or a [feature request](https://github.com/galio-org/galio/issues/new?template=feature-request---.md)!

If you want to open a PR that fixes a bug or adds a feature, then we can't thank you enough! 

## Working on issues

Please feel free to take on any issue that's currently open. Just send a comment in order to let us know you're working on it so we can assign that specific issue to you.

In order to get started with Galio development, check out our [Wiki](https://github.com/galio-org/galio/wiki)!

 ## Submitting a pull request

Galio is an open-source project, so pull requests are always welcome (_always_ ❤️), but before working on a large change, it is best to open an issue first to discuss it with the maintainers or if an issue was already opened, comment your intention of opening up a PR.

When in doubt, keep your pull requests small. To give a PR the best chance of getting accepted, don't bundle more than one feature or bug fix per pull request. It's always best to create two smaller PRs than one big one.

As with issues, use the following formula for the title of your **PR**s:
 - **Screens/[_Screen name_]** 
 - **Components/[_Component name_]**
 - **Feature/[_Feature name_]**


## Branches explained

As you can see we have multiple branches:
 - **master**: This branch stores the latest stable version of Galio.
 - **examples**: Our Expo app where we showcase our components and screen examples
 - **design**: Here we have design resources for everybody to download and use
 - **Alpha-1**: This is the `dev` branch of Galio

## Financial contributions 

We also welcome financial contributions in full transparency on our [open collective](https://opencollective.com/galio).
Anyone can file an expense. If the expense makes sense for the development of the community, it will be "merged" in the ledger of our open collective by the core contributors and the person who filed the expense will be reimbursed.

## Hacktoberfest 2018

Galio participated in last year's Hacktoberfest challenge. You can find out more about this [here](https://github.com/galio-org/galio/issues/31).
